Subject: Re: bug#32970: 26; doc string of `this-command-keys-vector' (minor)

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 11 Jul 2019 17:55:35 +0200

Drew Adams <[email-masked]> writes:

> Doc string:
>
>   this-command-keys-vector is a built-in function in 'C source code'.
>
>   (this-command-keys-vector)
>
>   Return the key sequence that invoked this command, as a vector.
>   However, if the command has called 'read-key-sequence', it returns
>   the last key sequence that has been read.
>
>   See also 'this-command-keys'.
>   This function does not change global state, including the match data.
>
> It would be clearer, I think, if the order of the last two sentences
> were reversed.  And perhaps they should not even be in the same
> paragraph.  The current order can lead to thinking that "this function"
> means `this-command-keys', and that it is only `this-command-keys', not
> also `this-command-keys-vector', that does not change global state.

The current help buffer is:

--

this-command-keys-vector is a built-in function in ‘src/keyboard.c’.

(this-command-keys-vector)

  This function does not change global state, including the match data.

Return the key sequence that invoked this command, as a vector.
However, if the command has called ‘read-key-sequence’, it returns
the last key sequence that has been read.

See also ‘this-command-keys’.
--

So this has been fixed.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no